1. Jobs
Qeep
  • Screening
    • Screen transaction
      POST
    • Get screening result by ID
      GET
    • Rescreen transaction
      POST
    • List screening requests
      GET
    • Record screening outcome
      POST
  • Watchlists
    • Entries
      • Add watchlist entry
      • List watchlist entries
      • Remove watchlist entry
      • Export watchlist entries
      • Bulk import watchlist entries
    • Jobs
      • Cancel a watchlist import job
        POST
      • Get watchlist import job
        GET
      • List watchlist import jobs
        GET
      • Sync watchlist
        POST
    • List watchlists
      GET
    • Create watchlist
      POST
    • Update watchlist
      PATCH
  • Schemas
    • ValidationErrorDetail
    • RecordOutcome
    • ErrorDetails
    • ApiErrorResponse
    • ScreeningResult
    • Watchlist
    • ScreenTransaction
    • CreateWatchlist
    • ScreeningRequestsList
    • WatchlistsList
    • Rescreen
    • UpdateWatchlist
    • WatchlistEntriesList
    • WatchlistEntry
    • AddEntry
    • RemoveWatchlistEntry
    • SyncWatchlist
    • WatchlistImportJob
    • WatchlistExport
    • WatchlistImportJobsList
  1. Jobs

List watchlist import jobs

GET
/v1/txn-monitoring/lists/{id}/entries/import
Paginated history of bulk import jobs for a watchlist, newest first.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
Successful response
Bodyapplication/json

🟠400
🟠401
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.qeeptech.com/v1/txn-monitoring/lists//entries/import?page=undefined&limit=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "data": {
        "data": [
            {
                "id": "string",
                "watchlistId": "string",
                "status": "string",
                "fileName": "string",
                "totalRows": 0,
                "importedRows": 0,
                "skippedRows": 0,
                "failedRows": 0,
                "progressPercent": 0,
                "errors": [
                    {
                        "row": -9007199254740991,
                        "sourceId": "string",
                        "primaryName": "string",
                        "message": "string"
                    }
                ],
                "errorMessage": "string",
                "createdAt": "string",
                "completedAt": "string"
            }
        ],
        "pagination": {
            "total": 0,
            "page": 1,
            "limit": 1,
            "totalPages": 0
        }
    },
    "message": "string",
    "meta": {
        "timestamp": "2019-08-24T14:15:22.123Z",
        "requestId": "string",
        "traceId": "string",
        "spanId": "string",
        "path": "string",
        "pagination": {
            "page": 0,
            "limit": 0,
            "total": 0,
            "totalPages": 0,
            "hasNext": true,
            "hasPrevious": true
        }
    }
}
Modified at 2026-08-02 23:22:57
Previous
Get watchlist import job
Next
Sync watchlist
Built with